package com.dao;

import com.entity.Employee;
import com.utils.Page;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface IEmployeeDao {
 
    List<Employee> listEmp(Page page);

    int getEmpTotal();

    List<Employee> searchEmp(Map<String, Object> map);


    void addEmp(Employee employee);


    Employee selectEmpById(int id);

    void modifyEmp(Employee employee);

   
    void deleteEmp(int id);
}
